 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        videoState   : true, //第一个视频是否加载
        videoFlx     : false, //视频定位
        videos       : '',
        isFixedTop   : 0,
        barHeight    : getApp().globalData.statusBarHeight,  // 状态栏高度
        showActivity : '',
        checkBubble  : false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        // 邀请码
        if(options.invite) {
            this.setData({
                inviteCode   : options.invite
            })
            wx.setStorage({
                key     : 'inviteData',
                data    : options.invite
            })
        }

        // 获取开关接口
        wx.$api.index.festival().then(res => {
            this.setData({
                showActivity: res.data.show_activity
            })
        }).catch(err => {})
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow () {
        // 获取首页数据
        this.indexInfo();
    },

    /**
     * 首页数据
     */
    indexInfo () {
        wx.$api.index.home().then(res => {
            this.setData({
                goodsArr    : res.data.goods,
                videos      : res.data.videos[0],
                healthsArr  : res.data.healths,
                datas       : res.data.memories,
                categories  : res.data.categories
            })
        }).catch(err => {})
    },

    /**
     * 监听页面滚动
     */
    bestScroll(e){
        if(e.detail.scrollTop >= this.data.systInfo.safeArea.width && !this.data.videoFlx){
            this.setData({
                videoFlx: true
            })
        }else if(e.detail.scrollTop < this.data.systInfo.safeArea.width && this.data.videoFlx){
            this.setData({
                videoFlx: false
            })
        }
    },

    // 第一个播放进度变化时触发
    bindloadedOne() {
        this.setData({
            videoState: false
        })
    },

    // 第二个播放进度变化时触发
    bindloadedTwo() {
        this.setData({
            videoFilex: false
        })
    },

    /**
    * 监听页面滑动事件
    */
    onPageScroll(e) {
        this.setData({
            isFixedTop: parseInt(e.scrollTop)
        });
    },

    /**
     * 跳转文章列表
     */
    tapMore(e){
        wx.navigateTo({
            url: '/pages/article/index?type=' + e.currentTarget.dataset.type
        })
    },

    // 梵呗弹框关闭
    checkTap() {
        this.setData({
            showActivity: !this.data.showActivity,
            checkBubble: true
        })
    },

    bubbleTap() {
        this.setData({
            showActivity: true,
            checkBubble: false
        })
    },

    checkWx() {
        this.setData({
            showActivity: !this.data.showActivity,
            checkBubble: true
        })
        wx.navigateToMiniProgram({
            appId: 'wx9ae0c63d0c58caeb',
            path: '/pages/activity/activity',
            envVersion: 'release', 
            success: res=> {
              // 打开成功
              console.log("跳转小程序成功！",res);
            } 
        })
    }
})